Tileset - List

Applies to: see pricing tiers.

Creator makes it possible to develop applications based on your private indoor map data using Azure Maps API and SDK. This article introduces concepts and tools that apply to Azure Maps Creator.

This API allows the caller to fetch a list of all tilesets created.

GET https://{geography}.atlas.microsoft.com/tilesets?api-version=2.0

URI Parameters

Name In Required Type Description
geography
path True
  • string

This parameter specifies where the Azure Maps Creator resource is located. Valid values are us and eu.

api-version
query True
  • string

Version number of Azure Maps API.

Request Header

Name Required Type Description
x-ms-client-id
  • string

Specifies which account is intended for usage in conjunction with the Azure AD security model. It represents a unique ID for the Azure Maps account and can be retrieved from the Azure Maps management plane Account API. To use Azure AD security in Azure Maps see the following articles for guidance.

Responses

Name Type Description
200 OK

List tileset request completed successfully. The response body contains a list of all tilesets.

Other Status Codes

An unexpected error occurred.

Security

AADToken

These are the Azure Active Directory OAuth2 Flows. When paired with Azure role-based access control it can be used to control access to Azure Maps REST APIs. Azure role-based access controls are used to designate access to one or more Azure Maps resource account or sub-resources. Any user, group, or service principal can be granted access via a built-in role or a custom role composed of one or more permissions to Azure Maps REST APIs.

To implement scenarios, we recommend viewing authentication concepts. In summary, this security definition provides a solution for modeling application(s) via objects capable of access control on specific APIs and scopes.

Notes

  • This security definition requires the use of the x-ms-client-id header to indicate which Azure Maps resource the application is requesting access to. This can be acquired from the Maps management API.

The Authorization URL is specific to the Azure public cloud instance. Sovereign clouds have unique Authorization URLs and Azure Active directory configurations. * The Azure role-based access control is configured from the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs. * Usage of the Azure Maps Web SDK allows for configuration based setup of an application for multiple use cases.

  • Currently, Azure Active Directory v1.0 or v2.0 supports Work, School, and Guests but does not support Personal accounts.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
https://atlas.microsoft.com/.default https://atlas.microsoft.com/.default

subscription-key

This is a shared key that is provisioned when creating an Azure Maps resource through the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.

With this key, any application is authorized to access all REST APIs. In other words, these can currently be treated as master keys to the account which they are issued for.

For publicly exposed applications, our recommendation is to use server-to-server access of Azure Maps REST APIs where this key can be securely stored.

Type: apiKey
In: query

SAS Token

This is a shared access signature token is created from the List SAS operation on the Azure Maps resource through the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.

With this token, any application is authorized to access with Azure role-based access controls and fine-grain control to the expiration, rate, and region(s) of use for the particular token. In other words, the SAS Token can be used to allow applications to control access in a more secured way than the shared key.

For publicly exposed applications, our recommendation is to configure a specific list of allowed origins on the Map account resource to limit rendering abuse and regularly renew the SAS Token.

Type: apiKey
In: header

Examples

Get a list of all tilesets

Sample Request

GET https://us.atlas.microsoft.com/tilesets?api-version=2.0

Sample Response

{
  "tilesets": [
    {
      "tilesetId": "d8fa86de-bb0f-4a02-a6ff-62ae7545dd84",
      "datasetId": "63b18a6b-ac35-4b23-a1d9-ffa1003ad50b",
      "description": "My first tileset",
      "minZoom": 16,
      "maxZoom": 18,
      "bbox": [
        -122.13595,
        47.636524,
        -122.1329,
        47.637525
      ]
    },
    {
      "tilesetId": "b8dca8b3-8aad-4afe-abd6-0efe37b5a2e3",
      "datasetId": "c0a01139-662e-4d5a-bf5f-92ea4a292aad",
      "description": "My second tileset",
      "minZoom": 19,
      "maxZoom": 19,
      "bbox": [
        -122.13595,
        47.636524,
        -122.1329,
        47.637525
      ]
    }
  ]
}

Definitions

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

Tileset

Detail information for the data.

TilesetListResult

The response model for the Tileset List API. Returns a list of all tilesets.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info
  • object

The additional info.

type
  • string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

The error additional info.

code
  • string

The error code.

details

The error details.

message
  • string

The error message.

target
  • string

The error target.

ErrorResponse

Error response

Name Type Description
error

The error object.

Tileset

Detail information for the data.

Name Type Description
bbox
  • number[]

Bounding box which all features of the tileset lay within. Projection used - EPSG:3857. Format : 'minLon, minLat, maxLon, maxLat'.

datasetId
  • string

The unique dataset Id used to create the tileset.

description
  • string

The description the caller provided when creating the tileset. Maximum length 1024 characters.

maxZoom
  • integer

The highest tile zoom level tile generated for the tileset.

minZoom
  • integer

The lowest tile zoom level tile generated for the tileset.

ontology
  • string

The ontology version of this dataset.

tilesetId
  • string

The unique tileset id for the tileset.

TilesetListResult

The response model for the Tileset List API. Returns a list of all tilesets.

Name Type Description
nextLink
  • string

If present, the location of the next page of data.

tilesets

A list of all tilesets.